Quizzes
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger ยท min: 1Optional
Page number (default 1)
pageSizeinteger ยท min: 1 ยท max: 100Optional
Items per page (default 20, max 100)
Responses
200
Paginated list of quizzes
application/json
totalCountintegerOptional
pageintegerOptional
pageSizeintegerOptional
totalPagesintegerOptional
401
Unauthorized
get/quizzes/get
GET /quizzes/get HTTP/1.1
Host: api.autocontentapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"quizJson": "text",
"status": 1,
"createdOn": "2026-01-01T00:00:00.000Z"
}
],
"totalCount": 1,
"page": 1,
"pageSize": 1,
"totalPages": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
quizIdstringRequired
Quiz request identifier
Responses
200
Quiz JSON download
application/json
stringOptional
401
Unauthorized
404
Quiz not found or not ready
get/quizzes/{quizId}/download
GET /quizzes/{quizId}/download HTTP/1.1
Host: api.autocontentapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
textLast updated